Subject: bug#23547: debbugs.gnu.org MTU / icmp black hole issue

From: Lisa Marie Maginnis <[email-masked]>
Date: Mon, 16 May 2016 14:30:18 -0400

> After researching with tcpdump and ping it appears that this server is
> using or is behind a network which uses MTU which is smaller than normal
> but it is not advertising that correctly in TCP MSS and not informing
> the client about blackholed backets with icmp. The advertised TCP MSS
> value is too high. Packets that big end up in a black hole and the email
> delivery TCP connection stalls. There may be some icmp blackholing
> involved as well.

Hello,

Thanks for your report. We have resolved this issue on our end by lowering
the TCP MSS value advertised on connections coming out of the network in 
question.

We are currently using an MSS of 1394 to accomedate links with an MTU less
than 1500. If you are still seeing this issue, let us know!

Thanks & Happy Hackingz,

-- 
~Lisa Marie Maginnis
Senior System Administrator
Free Software Foundation
http://fsf.org http://gnu.org
GPG Key: 61EEC710